SimpleRestrictionSite (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.impl.SimpleRestrictionSite class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.impl
Class SimpleRestrictionSite

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.seq.impl.SimpleFeature
              org.biojava.bio.seq.impl.SimpleStrandedFeature
                  org.biojava.bio.seq.impl.SimpleRestrictionSite

All Implemented Interfaces:
  Serializable, Annotatable, RestrictionSite, Feature, FeatureHolder, RealizingFeatureHolder, StrandedFeature, Changeable

    public class SimpleRestrictionSite

extends SimpleStrandedFeature
implements RestrictionSite

`SimpleRestrictionSite` represents the recognition site of a restriction enzyme.

Since:
  1.3
Author:
  Keith James
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.molbio.RestrictionSite
`RestrictionSite.Template`

Nested classes/interfaces inherited from interface org.biojava.bio.seq.StrandedFeature
`StrandedFeature.Strand`

Nested classes/interfaces inherited from interface org.biojava.bio.seq.Feature
`Feature.ByLocationComparator`

Nested classes/interfaces inherited from interface org.biojava.bio.seq.FeatureHolder
`FeatureHolder.EmptyFeatureHolder`

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from interface org.biojava.bio.seq.StrandedFeature
`NEGATIVE, POSITIVE, STRAND, UNKNOWN`

Fields inherited from interface org.biojava.bio.seq.Feature
`byLocationOrder, LOCATION, PROPERTY_DATA_KEY, SOURCE, SOURCETERM, TYPE, TYPETERM`

Fields inherited from interface org.biojava.bio.seq.FeatureHolder
`EMPTY_FEATURE_HOLDER, FEATURES, SCHEMA`

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Constructor Summary
`SimpleRestrictionSite(Sequence sourceSeq, FeatureHolder parent, RestrictionSite.Template template)` Creates a new `SimpleRestrictionSite`.

Method Summary
`RestrictionEnzyme` | `getEnzyme()` `getEnzyme` returns the enzyme which cuts at this site.
`int` | `getPosition()` `getPosition` returns the common, forward strand cut site.
`String` | `toString()`

Methods inherited from class org.biojava.bio.seq.impl.SimpleStrandedFeature
`fillTemplate, getStrand, getSymbols, makeTemplate, setStrand`

Methods inherited from class org.biojava.bio.seq.impl.SimpleFeature
`containsFeature, countFeatures, createFeature, equals, featureHolderAllocated, features, fillTemplate, filter, filter, getAnnotation, getChangeSupport, getFeatureHolder, getLocation, getParent, getSchema, getSequence, getSource, getSourceTerm, getType, getTypeTerm, hashCode, realizeFeature, removeFeature, setLocation, setSource, setSourceTerm, setType, setTypeTerm`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.biojava.bio.seq.StrandedFeature
`getStrand, getSymbols, setStrand`

Methods inherited from interface org.biojava.bio.seq.Feature
`features, getLocation, getParent, getSequence, getSource, getSourceTerm, getType, getTypeTerm, makeTemplate, setLocation, setSource, setSourceTerm, setType, setTypeTerm`

Methods inherited from interface org.biojava.bio.seq.FeatureHolder
`containsFeature, countFeatures, createFeature, filter, filter, getSchema, removeFeature`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Constructor Detail

### SimpleRestrictionSite

    public SimpleRestrictionSite(Sequence sourceSeq,
                                 FeatureHolder parent,
                                 RestrictionSite.Template template)

  Creates a new `SimpleRestrictionSite`.

  Parameters:
    `sourceSeq` - a `Sequence`.
    `parent` - a `FeatureHolder`.
    `template` - a `RestrictionSite.Template`.

Method Detail

### getPosition

    public int getPosition()

  Description copied from interface: `RestrictionSite`
  `getPosition` returns the common, forward strand cut site. Note that some enzymes cut in more than one position. Such supplementary sites may be calculated by retrieving the `RestrictionEnzyme` instance and using its methods to calculate the position.

  Specified by:
    `getPosition` in interface `RestrictionSite`
  Returns:
    an `int` indicating the base immediately before the cleavage site on the forward strand.

### getEnzyme

    public RestrictionEnzyme getEnzyme()

  Description copied from interface: `RestrictionSite`
  `getEnzyme` returns the enzyme which cuts at this site. A sequence which is the target for several different enzymes is expected to have a corresponding `RestrictionSite` feature for each.

  Specified by:
    `getEnzyme` in interface `RestrictionSite`
  Returns:
    a `RestrictionEnzyme`.

### toString

    public String toString()

  Overrides:
    `toString` in class `SimpleStrandedFeature`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD